Package org.bukkit.entity

# Enum Class MushroomCow.Variant

java.lang.Object
java.lang.Enum<MushroomCow.Variant>
org.bukkit.entity.MushroomCow.Variant

All Implemented Interfaces:
  `Serializable`, `Comparable<MushroomCow.Variant>`, `Constable`

Enclosing interface:
  MushroomCow

public static enum MushroomCow.Variant extends Enum<MushroomCow.Variant>
Represents the variant of a cow - ie its color.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BROWN`
Brown mushroom cow.
`RED`
Red mushroom cow.

## Method Summary

Modifier and Type
Method
Description
`static MushroomCow.Variant`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MushroomCow.Variant[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### RED

public static final MushroomCow.Variant RED
Red mushroom cow.

### BROWN

public static final MushroomCow.Variant BROWN
Brown mushroom cow.

## Method Details

### values

public static MushroomCow.Variant[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static MushroomCow.Variant valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null